#!/bin/sh
#-------------------------------------------------------------------------------
# $Copyright: Copyright (c) 2014 Symantec Corporation.
# All rights reserved.
#
# THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
# SYMANTEC CORPORATION.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
# WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF SYMANTEC CORPORATION.
#
# The Licensed Software and Documentation are deemed to be commercial
# computer software as defined in FAR 12.212 and subject to restricted
# rights as defined in FAR Section 52.227-19 "Commercial Computer
# Software - Restricted Rights" and DFARS 227.7202, "Rights in
# Commercial Computer Software or Commercial Computer Software
# Documentation", as applicable, and any successor regulations. Any use,
# modification, reproduction release, performance, display or disclosure
# of the Licensed Software and Documentation by the U.S. Government
# shall be solely in accordance with the terms of this Agreement.  $Header: /project/isv-agent/VProAgents/OracleAppsCM/conf/OracleAppsCMTypes.cmd,v 1.4 2012/09/18 05:08:08 ssrivast Exp $
#
# $Author: ssrivast $
# $Date: 2012/09/18 05:08:08 $
# $Revision: 1.4 $
#-------------------------------------------------------------------------------

set -e
set -u

#-------------------------------------------
# Quick script to import type definitioins
#-------------------------------------------
agent_name="OracleAppsCM"
conf_dir="/etc/VRTSagents/ha/conf/${agent_name}"
tmp_dir="${conf_dir}/temp"

cf_file=${agent_name}Types.cf

#--------------------------------
# For Solaris : Get HAD Version
#--------------------------------

os_name=`/bin/uname -s`
if [ "${os_name}" = "SunOS" ]; then
	#------------------
	# Define commands..
	#------------------
	grep_cmd="/bin/grep"
	sed_cmd="/bin/sed"

	if [ ! -f "/bin/grep" ]; then
	  grep_cmd=grep
	fi
	if [ ! -f "/bin/sed" ]; then
	  sed_cmd=sed
	fi

	had_ver=`/opt/VRTSvcs/bin/had -version | $grep_cmd "Join Version" | $sed_cmd 's/Join Version//'`
	had_shortver=`echo $had_ver| \
	$sed_cmd -e 's/[\.]//g
	s/^\([0-9]\{4\}\).*/\1/'`

	cf_file=${agent_name}Types50.cf
	if [ $had_shortver -ge 5100 ]; then
		cf_file=${agent_name}Types51.cf
	fi
fi

cur_dir=${PWD}
cd ${conf_dir}
mkdir -p ${tmp_dir}
cp ${cf_file} ${tmp_dir}/${cf_file}
echo "include \"${cf_file}\"" > ${tmp_dir}/main.cf
cd ${tmp_dir}

vcs_dir="/opt/VRTSvcs/bin"
PATH=/opt/VRTSvcs/bin:$PATH
export PATH

hacf -verify .
set +e
haconf -makerw 
set -e
sh main.cmd
haconf -dump

cd ${cur_dir}
rm ${tmp_dir}/${cf_file}
rm ${tmp_dir}/main.cf
rm ${tmp_dir}/main.cmd
rmdir ${tmp_dir}

echo "${agent_name} Agent Type successfully imported."
